package mdsServerDomain;
import java.io.*;
import sharedInterfaces.*;

//State interface description. The interface will be implemented by
//inner classes of DaraServerFacade.
interface ServerState
{
    void connect(String source) throws IOException;
    void disconnect() throws IOException;
    void open(String experiment, int shot) throws IOException;
    void close() throws IOException;
    MDSDescriptor evaluate(String expression, NotifierInterface notifier) throws IOException;
    boolean isConnected();
    boolean isOpen();
}
